summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHolger Paradies <retabell@gmx.de>2017-10-31 23:04:33 +0100
committerHolger Paradies <retabell@gmx.de>2017-10-31 23:04:33 +0100
commit112d157d364d6808d7d80f1f079f8f8a81663f43 (patch)
treea297f529000448a5ff9678e6faf43a78f479ad61
parentf0ce8859911c222869a0f8cca4b2b493aaf3f2d9 (diff)
downloadetcskel-kanotix-112d157d364d6808d7d80f1f079f8f8a81663f43.zip
etcskel-kanotix-112d157d364d6808d7d80f1f079f8f8a81663f43.tar.gz
add Package etcskel-kanotix-kf5
-rw-r--r--debian/control8
-rw-r--r--debian/etcskel-kanotix-kf5.install6
-rw-r--r--debian/etcskel-kanotix-kf5.postrm41
-rw-r--r--debian/etcskel-kanotix-kf5.preinst39
4 files changed, 94 insertions, 0 deletions
diff --git a/debian/control b/debian/control
index a10313a..7d51cae 100644
--- a/debian/control
+++ b/debian/control
@@ -63,3 +63,11 @@ Architecture: all
Description: Badge icon for Kanotix
This package provides a badge icon for Kanotix. It appears in the upper right
corner of K-Menu's Kickoff menu.
+
+Package: etcskel-kanotix-kf5
+Architecture: all
+Depends: plasma-desktop-data
+Conflicts: kanotix-plasma-script
+Replaces: kanotix-plasma-script
+Description: KDE Plasma5-Desktop files for the KANOTIX default user
+ set useful preferences for new users.
diff --git a/debian/etcskel-kanotix-kf5.install b/debian/etcskel-kanotix-kf5.install
new file mode 100644
index 0000000..436df7b
--- /dev/null
+++ b/debian/etcskel-kanotix-kf5.install
@@ -0,0 +1,6 @@
+kf5-kanotix-settings/share usr/
+kanotix-reset-kf5-panel usr/bin/
+#reset-plasma.desktop usr/share/applications/
+x-www-browser.desktop usr/share/applications/
+skel-kf5/.config etc/skel
+kf5-oxygen/desktoptheme/ etc/skel/.local/share/plasma
diff --git a/debian/etcskel-kanotix-kf5.postrm b/debian/etcskel-kanotix-kf5.postrm
new file mode 100644
index 0000000..c5b9fe4
--- /dev/null
+++ b/debian/etcskel-kanotix-kf5.postrm
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postrm script for etcskel-kanotix-kf5
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+if [ remove = "$1" -o purge = "$1" ]; then
+ dpkg-divert --package etcskel-kanotix-kf5 --remove --rename \
+ --divert /usr/share/plasma/shells/org.kde.plasma.desktop/contents/layout.js.distrib /usr/share/plasma/shells/org.kde.plasma.desktop/contents/layout.js
+fi
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/etcskel-kanotix-kf5.preinst b/debian/etcskel-kanotix-kf5.preinst
new file mode 100644
index 0000000..fd008de
--- /dev/null
+++ b/debian/etcskel-kanotix-kf5.preinst
@@ -0,0 +1,39 @@
+#!/bin/sh
+# preinst script for etcskel-kanotix-kf5
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+if [ install = "$1" -o upgrade = "$1" ]; then
+ dpkg-divert --package etcskel-kanotix-kf5 --add --rename \
+ --divert /usr/share/plasma/shells/org.kde.plasma.desktop/contents/layout.js.distrib /usr/share/plasma/shells/org.kde.plasma.desktop/contents/layout.js
+fi
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0